/*
 * ncovert.h -- header file
 *
 * $Id: ncovert.h,v 1.1.1.2 2004/03/17 16:32:48 s-nomad Exp $
 *
 * $Log: ncovert.h,v $
 * Revision 1.1.1.2  2004/03/17 16:32:48  s-nomad
 * Initial import
 *
 *
 */
#ifndef _ncovert_h_
#define _ncovert_h_
typedef unsigned char BYTE;

typedef union blocks
{
	BYTE byte_chunk[4];
	unsigned int long_chunk;
} blocks;

unsigned short in_cksum(unsigned short *,int);
void *guaranteed_memset(void *,int,size_t);
void send_packets(unsigned int,unsigned int,unsigned short,unsigned short,char *,int);
void recv_packets(unsigned int,unsigned int,unsigned short,unsigned short,char *,int,int);
unsigned int host_convert(char *);
void caughtsig(int);
unsigned int rotate_long(unsigned int block, int len);

int timeout;
int verbose;
#endif
